### Home Classes Methods

### In Files

- lib/gherkin/i18n_lexer.rb

### Parent

Object

### Methods

- ::new
- #scan

### Files

- LICENSE
- README.rdoc
- meta.txt
- root.txt
- steps.txt
- README.rdoc

### Class/Module Index

Quicksearch

- Gherkin
- Gherkin::CLexer
- Gherkin::Cli
- Gherkin::Cli::Main
- Gherkin::Formatter
- Gherkin::Formatter::Argument
- Gherkin::Formatter::Colors
- Gherkin::Formatter::Escaping
- Gherkin::Formatter::JSONFormatter
- Gherkin::Formatter::MonochromeFormat
- Gherkin::Formatter::PrettyFormatter
- Gherkin::I18n
- Gherkin::I18nLexer
- Gherkin::JSONLexer
- Gherkin::Parser
- Gherkin::Parser::Event
- Gherkin::Parser::FilterListener
- Gherkin::Parser::FormatterListener
- Gherkin::Parser::ParseError
- Gherkin::Parser::Parser
- Gherkin::Parser::Parser::Machine
- Gherkin::Parser::Parser::Machine::StateMachineReader
- Gherkin::Parser::Row
- Gherkin::Parser::TagExpression
- Gherkin::RbLexer
- Gherkin::Rubify
- Gherkin::Tools
- Gherkin::Tools::Files
- Gherkin::Tools::Reformat
- Gherkin::Tools::Stats
- Gherkin::Tools::StatsListener
- Class

No matching classes.

# Gherkin::I18nLexer

The main entry point to lexing Gherkin source.

### Attributes

i18n_language[R]

### Public Class Methods

new(listener, force_ruby=false) click to toggle source

    # File lib/gherkin/i18n_lexer.rb, line 15
    def initialize(listener, force_ruby=false)
      @listener = listener
      @force_ruby = force_ruby
    end

### Public Instance Methods

scan(source, uri, offset) click to toggle source

    # File lib/gherkin/i18n_lexer.rb, line 20
    def scan(source, uri, offset)
      create_delegate(source).scan(source, uri, offset)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.